Get Lock Status of Cost Sheet

GET /ws/rest/service/v2/projectcostsheet/lockstatus?project_number=<value>

Purpose

Get the lock status of the cost sheet for a specific shell.

Prerequisites

Ensure you have:

  • Full Access or Get permissions for CBS Services
  • Created the Unifier shell

Request Format

Send a GET request as specified in the above format.

Query Parameter

Specify the following parameter in the Options JSON map:

Request Parameter Required? Data Type Description
project_number Yes String A valid 'Active' shell number associated with the cost sheet whose lock status is to be determined.

Response Format

A JSON object is returned in the following format:

{

"data": [],

"message": [<list of messages>],

"status": <REST status code value>,

"rest_audit_id": <id from the audit table>

}

A successful response displays a status code 200.

A failed response displays a message with a status code.

Sample Success Request

To get the lock status of a project, send a request in the following format:

GET /ws/rest/servic e/v2/projectcostsheet/lockstatus?p roject_ number=P-0007

Sample Success Response

A successful response with status code 200 displays in the following format:

{

"data": [{"locked ": "false" }],

"message": ["success"],

"status": 200,

"rest_aud it_id": 414 8

}

Sample Failed Response

A failed response to the above request displays the corresponding status code in the following format:

{

"data": [],

"message": [

"Create/Update/Delete cannot be performed when project/shell status is Inactive or View-Only or On-Hold."

],

"status": 1245,

"rest_audit_id": 4149

}

Supported Validation Messages and Status Codes

The following validation messages and status codes display in the response when incorrect values are provided in the request.

Field Name Use-case Scenario Status Code Error Message
project_number project_number is not specified. 13001 Project/Shell number is mandatory and is missing in the input request
project_number project_number is invalid. 602 Project/Shell Number is not correct.
project_number   1245 Create/Update/Delete cannot be performed when project/shell status is Inactive or View-Only or On-Hold.
project_number Cost sheet does not exist in the specified shell. 707 Cost sheet does not exist